## Apache Zeta Components Manual :: Docs For Class ezcWorkflowNodeVariableMul

### Workflow::ezcWorkflowNodeVariableMul

### Class ezcWorkflowNodeVariableMul

Multiplies a workflow variable with another variable or a constant value.

An object of the ezcWorkflowNodeVariableMul class multiplies a specified workflow variable with a given operand, either a constant or the value of another workflow variable.

This example will multiply the contents of the workflow variable 'wfVar' by five and put the result in 'wfVar'.

1. <?php
2. $mul=new ezcWorkflowNodeVariableMul (
3. array('name'=>'wfVar','operand'=>5)
4. );
5. ?>

If the operand is a string, the value of the workflow variable identified by that string is used.

Incoming nodes: 1 Outgoing nodes: 1

Source for this file: /Workflow/src/nodes/variables/mul.php

    ezcWorkflowNode
       |
       --ezcWorkflowNodeArithmeticBase
          |
          --ezcWorkflowNodeVariableMul

Version: | //autogen//

### Inherited Constants

From ezcWorkflowNode:
`ezcWorkflowNode::WAITING_FOR_ACTIVATION` | The node is waiting to be activated.
`ezcWorkflowNode::WAITING_FOR_EXECUTION` | The node is activated and waiting to be executed.

### Inherited Member Variables

From ezcWorkflowNodeArithmeticBase
protected | `ezcWorkflowNodeArithmeticBase::$operand`
protected | `ezcWorkflowNodeArithmeticBase::$variable`
From ezcWorkflowNode
protected | `ezcWorkflowNode::$activatedFrom`
protected | `ezcWorkflowNode::$activationState`
protected | `ezcWorkflowNode::$configuration`
protected | `ezcWorkflowNode::$id`
protected | `ezcWorkflowNode::$inNodes`
protected | `ezcWorkflowNode::$internalCall`
protected | `ezcWorkflowNode::$maxInNodes`
protected | `ezcWorkflowNode::$maxOutNodes`
protected | `ezcWorkflowNode::$minInNodes`
protected | `ezcWorkflowNode::$minOutNodes`
protected | `ezcWorkflowNode::$numInNodes`
protected | `ezcWorkflowNode::$numOutNodes`
protected | `ezcWorkflowNode::$outNodes`
protected | `ezcWorkflowNode::$state`
protected | `ezcWorkflowNode::$threadId`

### Method Summary

protected void | `doExecute( )` Perform variable modification.

### Inherited Methods

From ezcWorkflowNodeArithmeticBase
public ezcWorkflowNodeArithmeticBase | `ezcWorkflowNodeArithmeticBase::__construct()` Constructs a new action node with the configuration $configuration.
protected abstract void | `ezcWorkflowNodeArithmeticBase::doExecute()` Implementors should perform the variable computation in this method.
From ezcWorkflowNode
public ezcWorkflowNode | `ezcWorkflowNode::__construct()` Constructs a new node with the configuration $configuration.
public void | `ezcWorkflowNode::accept()` Reimplementation of accept() calls accept on all out nodes.
protected void | `ezcWorkflowNode::activateNode()` Convenience method for activating an (outgoing) node.
public ezcWorkflowNode | `ezcWorkflowNode::addInNode()` Adds a node to the incoming nodes of this node.
public ezcWorkflowNode | `ezcWorkflowNode::addOutNode()` Adds a node to the outgoing nodes of this node.
public mixed | `ezcWorkflowNode::getConfiguration()` Returns the configuration of this node.
public ezcWorkflowNode[] | `ezcWorkflowNode::getInNodes()` Returns the incoming nodes of this node.
public ezcWorkflowNode[] | `ezcWorkflowNode::getOutNodes()` Returns the outgoing nodes of this node.
public boolean | `ezcWorkflowNode::removeInNode()` Removes a node from the incoming nodes of this node.
public boolean | `ezcWorkflowNode::removeOutNode()` Removes a node from the outgoing nodes of this node.
public void | `ezcWorkflowNode::verify()` Checks this node's constraints.

### Methods

#### doExecute

void doExecute( )

Perform variable modification.

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowNodeArithmeticBase::doExecute()` | Implementors should perform the variable computation in this method.

Documentation generated by phpDocumentor 1.4.3